unit dilna_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmDilna = class(TForm)
    lblNadpis: TLabel;
    Panel1: TPanel;
    rdgPrac: TRadioGroup;
    grbStroj: TGroupBox;
    chbSoustr: TCheckBox;
    chbHorizo: TCheckBox;
    chbVrtack: TCheckBox;
    chbHoblov: TCheckBox;
    chbBruska: TCheckBox;
    chbLaser1: TCheckBox;
    chbLaser2: TCheckBox;
    chbTrumat: TCheckBox;
    chbV_nuzk: TCheckBox;
    chbM_nuzk: TCheckBox;
    cmdPotvrd: TButton;
    cmdVratit: TButton;
    cmdUloz: TButton;
    cmdPrehled: TButton;
    cmdKonec: TButton;
    procedure cmdKonecClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure rdgPracClick(Sender: TObject);
    procedure cmdPotvrdClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDilna: TfrmDilna;

implementation

{$R *.dfm}
type
  TKvalifikace = array[0..20,0..20] of TCheckBoxState;
var
  Kvalifikace:TKvalifikace;
  f: file of TKvalifikace;
procedure TfrmDilna.cmdKonecClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmDilna.cmdPotvrdClick(Sender: TObject);
var
  i,j,maxstroj:integer;
begin
  maxstroj := grbStroj.ControlCount;
  i := rdgPrac.ItemIndex;
  for j := 0 to maxstroj - 1 do
     Kvalifikace[i,j] := (grbStroj.controls[j] as TCheckBox).State;
  cmdUloz.Enabled  := true;
end;


procedure TfrmDilna.FormActivate(Sender: TObject);
var
  i,j,maxprac,maxstroj:integer;
begin
  AssignFile(f,'Kvalifikace.bin');
{$i-}
  Reset(f);
{$i+}
  if ioresult = 0 then begin
    read(f,Kvalifikace);
    CloseFile(f);
  end else begin
    ShowMessage('Soubor s kvalifikacemi neexistuje');
    maxprac  := rdgPrac.ControlCount;
    maxstroj := grbStroj.ControlCount;
    for I := 0 to maxprac - 1 do
      for j := 0 to maxstroj - 1 do
        Kvalifikace[i,j] := cbUnChecked;
  end;
  grbStroj.Enabled  := false;
  cmdPotvrd.Enabled := false;
  cmdVratit.Enabled := false;
  cmdUloz.Enabled := false;
end;

procedure TfrmDilna.rdgPracClick(Sender: TObject);
var
  i,j,maxstroj:integer;
begin
  maxstroj := grbStroj.ControlCount;
  i := rdgPrac.ItemIndex;
  for j := 0 to maxstroj - 1 do
    (grbStroj.controls[j] as TCheckBox).State := Kvalifikace[i,j];
  grbStroj.Enabled  := true;
  cmdPotvrd.Enabled := true;
  cmdVratit.Enabled := true;
end;

end.
